From 9e877b10c05e9482ef00bda99033508cc64211fd Mon Sep 17 00:00:00 2001
From: Bernd Waibel <waebbl-gentoo@posteo.net>
Date: Fri, 23 Apr 2021 15:20:15 +0200
Subject: [PATCH] set correct libdir

Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
---
 CMakeLists.txt             | 8 ++++----
 lib/Alembic/CMakeLists.txt | 4 ++--
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 69fff1e..97d1e2d 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -73,12 +73,12 @@ option(DOCS_PATH
 
 # Set static/dynamic build options
 SET(LIB_TYPE STATIC)
-SET(RUNTIME_INSTALL_DIR lib)
-SET(LIBRARY_INSTALL_DIR lib)
-SET(ARCHIVE_INSTALL_DIR lib)
+SET(RUNTIME_INSTALL_DIR lib${LIB_SUFFIX})
+SET(LIBRARY_INSTALL_DIR lib${LIB_SUFFIX})
+SET(ARCHIVE_INSTALL_DIR lib${LIB_SUFFIX})
 IF (ALEMBIC_SHARED_LIBS)
     SET(LIB_TYPE SHARED)
-    SET(ARCHIVE_INSTALL_DIR lib)
+    SET(ARCHIVE_INSTALL_DIR lib${LIB_SUFFIX})
     IF (WIN32)
         ADD_DEFINITIONS(-DALEMBIC_DLL)
     ENDIF()
diff --git a/lib/Alembic/CMakeLists.txt b/lib/Alembic/CMakeLists.txt
index 20acfed..9859bbe 100644
--- a/lib/Alembic/CMakeLists.txt
+++ b/lib/Alembic/CMakeLists.txt
@@ -78,7 +78,7 @@ TARGET_LINK_LIBRARIES(Alembic
     ${ZLIB_LIBRARY}
   )
 
-SET( ALEMBIC_LIB_INSTALL_DIR lib CACHE PATH "Where to install the Alembic libs")
+SET( ALEMBIC_LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE PATH "Where to install the Alembic libs")
 INSTALL(TARGETS Alembic
         EXPORT AlembicTargets
         LIBRARY DESTINATION ${ALEMBIC_LIB_INSTALL_DIR}
@@ -91,7 +91,7 @@ INSTALL(TARGETS Alembic
 
 set(alembic_targets_file "${PROJECT_NAME}Targets.cmake")
 
-SET(ConfigPackageLocation lib/cmake/Alembic CACHE PATH
+SET(ConfigPackageLocation lib${LIB_SUFFIX}/cmake/Alembic CACHE PATH
         "Where to install the Alembic's cmake files")
 
 INCLUDE(CMakePackageConfigHelpers)
-- 
2.31.1

